> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/configurator.md).

# ConfiguratorController

## Description

Path /v2/configurators

Handles all requests regarding a configurator. Creating, deleting and requesting all configurator is not allowed.

Requirement: A valid token/apiKey is required to get a specific configurator.

### Configuration JSON Object

An example for a configurator JSON object.

```
{"configurator":
    {
        "id":"randomId1234",
        "label": "my configurator",
        "allowedHosts":"myHost",
        "tenant":2,
        "url":"someUrl",
        "SDK_access":0,
        "settings": {
            "settings1": "value1",
            "settings2": "value2",
            "settings3": "value3",
            "settings4": "value4"
        }
    }
}
```

### fields

* id
* label
* allowedHosts
* tenant
* settings
* url
* SDK\_access

## API Reference

### GET /:id/

Returns the configurator with the specified id

Accepts: json

Generates: json

path-parameters:

* id : configurator id

### PUT /:id/

Updates and returns the updated configurator with the specified id

Accepts: json

Generates: json

path-parameters:

* id : configurator id

Updated fields:

* label
* allowedHosts
* settings
* url

### POST /

creates a configurator for this tenant. The configurator-id is generated. If label is not provided, the first configurator gets the name of the tenant, additional configurators get the first 6 characters of the id as default-label. Only users with TenantManagement rights in this tenant are allowed to call it.

Accepts: json

Generates: json

### Settings json - possible key:value pairs

* deeplink : deep.link.to/configurator/of/tenant

this deeplink contains a placeholder #CONFIGURATIONID#, to be replaced with the configuration ID. It is used so that the configuration can be opened withing the store/page, where the configurator is embeded.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/configurator.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
